---
lang: en
title: 'API docs: boot.bootable'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.bootable.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [Bootable](./boot.bootable.md)

## Bootable interface

Interface to describe the additions made available to an Application that uses BootMixin.

<b>Signature:</b>

```typescript
export interface Bootable 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [bootOptions](./boot.bootable.bootoptions.md) | <code>BootOptions</code> | Options for boot |
|  [projectRoot](./boot.bootable.projectroot.md) | <code>string</code> | Root directory for the project to be booted |

## Methods

|  Method | Description |
|  --- | --- |
|  [boot()](./boot.bootable.boot.md) | Boot up the project |
|  [booters(booterClasses)](./boot.bootable.booters.md) | Register booters |


